SDL_BlitSurfaceUncheckedScaled(3)

NAME
SDL_BlitSurfaceUncheckedScaled - Perform low-level surface scaled blitting only.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_BlitSurfaceUncheckedScaled(SDL_Surface *src, const SDL_Rect *srcrect, SDL_Surface *dst, const SDL_Rect *dstrect, SDL_ScaleMode scaleMode);

DESCRIPTION
This is a semi-private function and it performs low-level surface blitting, assuming the input rectangles have already been clipped.

FUNCTION PARAMETERS

src the SDL_Surface
     structure to be copied from

srcrect
    the SDL_Rect
     structure representing the rectangle to be copied

dst the SDL_Surface
     structure that is the blit target

dstrect
    the SDL_Rect
     structure representing the target rectangle in the destination surface

scaleMode
    scale algorithm to be used

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_BlitSurfaceScaled(3)